digiKam Developer Documentation: Digikam::SearchesDBJobsThread Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
Digikam::SearchesDBJobsThread Class Reference
Inheritance diagram for Digikam::SearchesDBJobsThread:

## Public Slots
void | slotDuplicatesResults (const HaarIface::DuplicatesResultsMap &)
void | slotImageProcessed (const ItemInfo &, const QImage &, int dup)
Public Slots inherited from Digikam::DBJobsThread
void | error (const QString &errString)
| Appends the error string to m_errorsList.

## Signals
void | signalProgress (int percentage, const ItemInfo &inf, const QImage &img, int dup)
Signals inherited from Digikam::DBJobsThread
void | data (const QList< ItemListerRecord > &records)
void | signalFinished ()

## Public Member Functions
| SearchesDBJobsThread (QObject *const parent)
void | searchesListing (const SearchesDBJobInfo &info)
| Starts searches listing and scanning.
Public Member Functions inherited from Digikam::DBJobsThread
| DBJobsThread (QObject *const parent)
QList< QString > & | errorsList ()
| A method to get all errors reported from jobs.
bool | hasErrors ()
| hasErrors: a method to check for jobs errors
Public Member Functions inherited from Digikam::ActionThreadBase
| ActionThreadBase (QObject *const parent=nullptr)
void | cancel (bool isCancel=true)
| Cancel processing of current jobs under progress.
int | expiryTimeout () const
int | maximumNumberOfThreads () const
void | setDefaultMaximumNumberOfThreads ()
| Reset maximum number of threads used to parallelize collection of job processing to max core detected on computer.
void | setExpiryTimeout (int timeout)
| Adjust the thread expiry timeout value in milliseconds.
void | setMaximumNumberOfThreads (int n)
| Adjust maximum number of threads used to parallelize collection of job processing.

## Additional Inherited Members
Static Public Member Functions inherited from Digikam::ActionThreadBase
static void | setCurrentThreadName (const QString &name)
| Call this method to customize a thread name visible in a process viewer.
Protected Slots inherited from Digikam::ActionThreadBase
virtual void | slotJobFinished ()
Protected Member Functions inherited from Digikam::DBJobsThread
void | connectFinishAndErrorSignals (DBJob *const j)
| Connects the signals of job to the signals of the thread.
Protected Member Functions inherited from Digikam::ActionThreadBase
void | appendJobs (const ActionJobCollection &jobs)
| Append a collection of jobs to process into QThreadPool.
bool | isEmpty () const
int | pendingCount () const
void | run () override
| Main thread loop used to process jobs in todo list.

## Member Function Documentation

## ◆ searchesListing()

void Digikam::SearchesDBJobsThread::searchesListing | ( | const SearchesDBJobInfo & | info | ) |

Parameters

  info | represents the searches job info